# $Revision: 1.19 $, $Date: 2005/04/21 02:57:00 $
Summary:	Linux version of Rick Dangerous
Summary(pl):	Linuksowa wersja starej gry Rick Dangerous
Name:		xrick
Version:	021212
Release:	3
License:	unknown
Group:		X11/Applications/Games
Source0:	http://www.bigorno.net/%{name}/%{name}-%{version}.tgz
# Source0-md5:	615190051481266710cb43ecd1fe930c
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-cflags.patch
Icon:		xrick.xpm
URL:		http://www.bigorno.net/xrick/
BuildRequires:	SDL-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Way before Lara Croft, back in the 1980's and early 1990's, Rick
Dangerous was the Indiana Jones of computer games, running away from
rolling rocks, avoiding traps, from South America to a futuristic
missile base via Egypt and the Schwarzendumpf castle. The game was
released for the Atari ST, the IBM PC, and many more platforms.

xrick is a complete rewrite of Rick Dangerous, and has been ported to
Linux, Windows, BeOs, Amiga, ...

%description -l pl
Dugo zanim pojawia si Lara Croft, w latach 80-tych i w pocztku
90-tych, Rick Dangerous by Indiana Jonesem gier komputerowych,
uciekajc przed toczcymi si kamieniami, unikajc puapek, od
Poudniowej Ameryki do futurystycznej bazy rakietowej, przez Egipt i
zamek Schwarzendumpf. Gra bya wydana dla Atari ST, IBM PC i wiele
innych platform.

xrick to waciwie napisany od nowa Rick Dangerous, ktry zosta
przeniesiony na Linuksa, Windows, BeOS, Amig...

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{rpmcflags}" \
DATADIR="%{_datadir}/%{name}/" \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir},%{_datadir}/%{name},%{_mandir}/man6}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install data.zip $RPM_BUILD_ROOT%{_datadir}/%{name}
gunzip xrick.6.gz
install xrick.6 $RPM_BUILD_ROOT%{_mandir}/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_datadir}/%{name}
%{_mandir}/man6/xrick.6*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xrick.spec,v $
Revision 1.19  2005/04/21 02:57:00  ankry
- fixed desktop file, rel. 3

Revision 1.18  2004/12/15 12:17:18  radek
- minor License unifications

Revision 1.17  2004/06/23 19:12:03  qboosh
- fixed files, pl fixes, cosmetics

Revision 1.16  2004/06/23 19:03:15  undefine
- changes by Maciej Witkowiak (ytm) to work
- release 2

Revision 1.15  2004/04/06 19:29:01  qboosh
- BR: sed 4.0, switched to vfolders

Revision 1.14  2004/04/04 22:23:36  arekm
- updated to 021212

Revision 1.13  2003/09/16 08:34:50  adamg
- md5 sum added

Revision 1.12  2003/07/08 10:28:55  qboosh
- no macros in URL field, other cleanups

Revision 1.11  2003/05/25 06:28:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/01/18 22:58:57  juandon
- removed two lines with define

Revision 1.9  2002/11/29 22:48:19  ankry
- massive attack: new %%doc

Revision 1.8  2002/04/24 22:33:13  marcus
- rel.2.

Revision 1.7  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/18 10:59:58  jajcus
- Version: 010808

Revision 1.3  2001/07/21 18:02:20  kloczek
- add png Icon for desktop file,
- move xpm icon to Icon.

Revision 1.2  2001/07/21 14:58:28  jajcus
- adapterized

Revision 1.1  2001/07/21 14:57:09  jajcus
- Rick Dangerous' Linux version
